﻿@using Portal.Models.Globals; 
@using System.Web.UI.WebControls;

<table style="margin-left:20px;">
    <tr>        
        <td nowrap="nowrap">Supplier<b style="color:Red;">*</b></td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "grlSuppCd";
                    gridLookup.Width = Unit.Pixel(200);
                    gridLookup.GridProperties.KeyFieldName = "SupplierCode";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "Part", Action = "PartialSupplierGridLookupPart" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SupplierCode";
                        column.FieldName = "SupplierCode";
                        column.Caption = "Supplier<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SupplierName";
                        column.FieldName = "SupplierName";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(350);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    //gridLookup.ButtonClick = "OnClickEOCHSupplierGridLookup";
                }).Bind(ViewData["SupplierGridLookup"]).GetHtml()
        </td>
         
        <td nowrap="nowrap">Rec Dock Code<b style="color:Red;">*</b></td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "PartHDockGridLookup";
                    gridLookup.Width = Unit.Pixel(200);
                    gridLookup.GridProperties.KeyFieldName = "DockCode";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "Part", Action = "PartialHeaderDockGridLookupEmergencyOrderCreation" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DockCode";
                        column.FieldName = "DockCode";
                        column.Caption = "Dock<br />Code";
                        column.Width = Unit.Pixel(50);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DockName";
                        column.FieldName = "DockName";
                        column.Caption = "Dock<br />Name";
                        column.Width = Unit.Pixel(50);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                  //  gridLookup.ButtonClick = "OnClickEOCHDockGridLookup";
                }).Bind(ViewData["DockGridLookup"]).GetHtml()
        </td>
   
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Inhouse Routing";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtInHouseRouting";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 6;
                   
                }
            ).GetHtml()
        </td>
        
    </tr>
     <tr>
       <td nowrap="nowrap">Part No<b style="color:Red;">*</b></td>
        <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtPartNo";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 12;
                   
                }
            ).GetHtml()
        </td>
   
      <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Part Name";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtPartName";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 40;
                                      
                }
            ).GetHtml()
        </td>
    
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Supplier Shipping";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtSupplierShipping";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 3;
               }
            ).GetHtml()
        </td>
    </tr>

    <tr>
        <td nowrap="nowrap">Rec Comp Code<b style="color:Red;">*</b></td>
       <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtRecCompCode";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 4;
                    }
            ).GetHtml()
        </td>
    
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Rec Plant Code";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtRecPlantCode";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 1;
                }
            ).GetHtml()
        </td>
   @*
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Rec Dock Code";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtRecDockCode";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 2;
                    }
            ).GetHtml()
        </td>*@
    </tr>
    <tr>
   
    
         <td nowrap="nowrap">Time From<b style="color:Red;">*</b></td>
       <td>
            @Html.DevExpress().DateEdit(                    
                settings =>
                {
                    settings.Name = "txtTimeFrom";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.DisplayFormatString = "dd/MM/yyyy";
                    settings.Properties.EditFormatString = "dd/MM/yyyy";
                }
            ).GetHtml()
        </td>
   
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Time To";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().DateEdit(                    
                settings =>
                {
                    settings.Name = "txtTimeTo";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.DisplayFormatString = "dd/MM/yyyy";
                    settings.Properties.EditFormatString = "dd/MM/yyyy";                    
                }
            ).GetHtml()
        </td>
         <td nowrap="nowrap">Kanban No.</td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtKanbanNo";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 4;
                    settings.Properties.EnableClientSideAPI = true;
                }
            ).GetHtml()
        </td>
    </tr>

    <tr>
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Life Cycle Code";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtLifeCycleCode";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 1;
                }
            ).GetHtml()
        </td>
   
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Team Member";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtTeamMember";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 20;
                }
            ).GetHtml()
        </td>
   
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Series Name";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtSeriesName";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 20;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Order Method";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtOrderMethod";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 1;
                }
            ).GetHtml()
        </td>
    
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "BC Ref Flag";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtBcRefFlag";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 1;
                }
            ).GetHtml()
        </td>
    
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Kanban Qty";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().SpinEdit(                    
                settings =>
                {
                    settings.Name = "txtKanbanQty";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MinValue = 0;
                    settings.Properties.MaxValue = 999999;
                    settings.Number = 0;
                    
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Vendor Share Flag";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtVendorShareFlag";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 1;
                }
            ).GetHtml()
        </td>
    
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Vendor Share Value";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtVendorShareValue";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 7;
                }
            ).GetHtml()
        </td>
  
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "PC Lead Time";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().SpinEdit(                    
                settings =>
                {
                    settings.Name = "txtPCLeadTime";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MinValue = 0;
                    settings.Properties.MaxValue = 999999;
                    settings.Number = 0;
                }
            ).GetHtml()
        </td>
    </tr>
     <tr>
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "PC Safety Time";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().SpinEdit(                    
                settings =>
                {
                    settings.Name = "txtPCSafetyTime";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MinValue = 0;
                    settings.Properties.MaxValue = 999999;
                    settings.Number = 0;
                }
            ).GetHtml()
        </td>
   
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Line Lead Time";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().SpinEdit(                    
                settings =>
                {
                    settings.Name = "txtLineLeadTime";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MinValue = 0;
                    settings.Properties.MaxValue = 999999;
                    settings.Number = 0;
                }
            ).GetHtml()
        </td>
  
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Line Safety Time";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().SpinEdit(                    
                settings =>
                {
                    settings.Name = "txtLineSafetyTime";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MinValue = 0;
                    settings.Properties.MaxValue = 999999;
                    settings.Number = 0;
                }
            ).GetHtml()
        </td>
    </tr>
     <tr>
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Safety Psc";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().SpinEdit(                    
                settings =>
                {
                    settings.Name = "txtSafetyPcs";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MinValue = 0;
                    settings.Properties.MaxValue = 999999;
                    settings.Number = 0;
                }
            ).GetHtml()
        </td>
   
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Pack Type";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtPackType";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 18;
                }
            ).GetHtml()
        </td>
   
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Part Weight";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().SpinEdit(                    
                settings =>
                {
                    settings.Name = "txtPartWeight";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MinValue = 0;
                    settings.Properties.MaxValue = 999999;
                    settings.Number = 0;
                }
            ).GetHtml()
        </td>
    </tr>
     <tr>
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Pack Per Container";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().SpinEdit(                    
                settings =>
                {
                    settings.Name = "txtPackPerContainer";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MinValue = 0;
                    settings.Properties.MaxValue = 999999; 
                    settings.Number = 0;
                }
            ).GetHtml()
        </td>
   
       <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Audio Flag";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
       <td>
            @Html.DevExpress().SpinEdit(                    
                settings =>
                {
                    settings.Name = "txtAudioFlag";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MinValue = 0;
                    settings.Properties.MaxValue = 999999;
                    settings.Number = 0;
                }
            ).GetHtml()
        </td>
    
    </tr>
    <tr>
        <td colspan="2" align="center">
            <table>
                <tr>
                    <td width=""50% align="right">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnSave";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.UseSubmitBehavior = true;
                            btnSettings.ClientSideEvents.Click = "BeginCallbackAddNew";
                            //btnSettings.ClientSideEvents.Click = "function(s, e){ popupPosting.Show(); }";
                        }
                    ).GetHtml()
                    </td>
                    <td width="50%">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancelNew";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                            //btnSettings.ClientSideEvents.Click = "function(s, e){ popupNew.Hide(); }";
                            btnSettings.ClientSideEvents.Click = "CancelAddNew";
                        }
                    ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>